Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.ant
Interface DocumentHandler

All Known Subinterfaces:
  ConfigurableDocumentHandler

All Known Implementing Classes:
  FileExtensionDocumentHandler

    public interface DocumentHandler

Allows a class to act as a Lucene document handler

Since:
  October 27, 2001

Method Summary
`Document` | `getDocument(File file)` Gets the document attribute of the DocumentHandler object

Method Detail

### getDocument

    Document getDocument(File file)
                         throws DocumentHandlerException

  Gets the document attribute of the DocumentHandler object

  Parameters:
    `file` - Description of Parameter
  Returns:
    The document value
  Throws:
    `DocumentHandlerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.